## rust-cntr 1.6.1

=== Makefile ===
PREFIX = $(DESTDIR)/usr/local
BINDIR = $(PREFIX)/bin
INSTALL_PROGRAM ?= install
CARGO ?= cargo

TARGET = target/release/cntr

all: $(TARGET)

$(TARGET):
	$(CARGO) build --release

install: all
	$(INSTALL_PROGRAM) -D $(TARGET) $(BINDIR)/cntr

.PHONY: clean
clean:
	rm -rf $(TARGET)

## rust-cntr 1.5.3

=== debian/changelog ===
rust-cntr (1.5.3-2) unstable; urgency=medium

  * Fix build failure on some architectures caused by libc::timespec private
  pad fields

 -- Blair Noctis <n@sail.ng>  Thu, 04 Jul 2024 21:00:24 +0200

rust-cntr (1.5.3-1) unstable; urgency=medium

  * Package cntr 1.5.3 from crates.io using debcargo 2.6.1 (Closes: #1070976)
  * Replace chashmap with packaged dashmap
  * Patch dep on nix to packaged 0.27, adapting to changed API

 -- Blair Noctis <n@sail.ng>  Wed, 26 Jun 2024 14:14:24 -0400

=== debian/control ===
Source: rust-cntr
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+help-dev,
 librust-clap-4+std-dev,
 librust-cntr-fuse-0.4-dev (>= 0.4.2-~~),
 librust-container-pid-0.2+default-dev,
 librust-dashmap-5+default-dev (>= 5.5-~~),
 librust-libc-0.2+default-dev (>= 0.2.151-~~),
 librust-log-0.4+default-dev (>= 0.4.20-~~),
 librust-nix-0.27+default-dev,
 librust-nix-0.27+fs-dev,
 librust-nix-0.27+mount-dev,
 librust-nix-0.27+poll-dev,
 librust-nix-0.27+process-dev,
 librust-nix-0.27+sched-dev,
 librust-nix-0.27+signal-dev,
 librust-nix-0.27+socket-dev,
 librust-nix-0.27+term-dev,
 librust-nix-0.27+user-dev,
 librust-parking-lot-0.12+default-dev (>= 0.12.1-~~),
 librust-simple-error-0.3+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Blair Noctis <n@sail.ng>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cntr]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cntr
X-Cargo-Crate: cntr
Rules-Requires-Root: no

Package: librust-cntr-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-clap-4+cargo-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+help-dev,
 librust-clap-4+std-dev,
 librust-cntr-fuse-0.4-dev (>= 0.4.2-~~),
 librust-container-pid-0.2+default-dev,
 librust-dashmap-5+default-dev (>= 5.5-~~),
 librust-libc-0.2+default-dev (>= 0.2.151-~~),
 librust-log-0.4+default-dev (>= 0.4.20-~~),
 librust-nix-0.27+default-dev,
 librust-nix-0.27+fs-dev,
 librust-nix-0.27+mount-dev,
 librust-nix-0.27+poll-dev,
 librust-nix-0.27+process-dev,
 librust-nix-0.27+sched-dev,
 librust-nix-0.27+signal-dev,
 librust-nix-0.27+socket-dev,
 librust-nix-0.27+term-dev,
 librust-nix-0.27+user-dev,
 librust-parking-lot-0.12+default-dev (>= 0.12.1-~~),
 librust-simple-error-0.3+default-dev
Provides:
 librust-cntr+default-dev (= ${binary:Version}),
 librust-cntr-1-dev (= ${binary:Version}),
 librust-cntr-1+default-dev (= ${binary:Version}),
 librust-cntr-1.5-dev (= ${binary:Version}),
 librust-cntr-1.5+default-dev (= ${binary:Version}),
 librust-cntr-1.5.3-dev (= ${binary:Version}),
 librust-cntr-1.5.3+default-dev (= ${binary:Version})
Description: Container debugging tool based on FUSE - Rust source code
 Source code for Debianized Rust crate "cntr"

Package: cntr
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: a container debugging tool based on FUSE mount
 cntr mounts the file system from one container or the host into the target
 container, by creating a nested container with the help of a FUSE filesystem.
 This allows to ship minimal runtime image in production and limit the surface
 for exploits.
 .
 Natively supported: docker, podman, LXC, LXD, rkt, systemd-nspawn, containerd;
 For other container engines, cntr also takes PIDs.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cntr 1.5.3 --all-targets --all-features
Features: test-name=rust-cntr:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cntr 1.5.3 --all-targets
Features: test-name=librust-cntr-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cntr 1.5.3 --all-targets --no-default-features
Features: test-name=librust-cntr-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/cntr-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/cntr .*/crates/cntr/@ANY_VERSION@/download

## rust-cntr 1.6.0

=== debian/changelog ===
rust-cntr (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Package cntr 1.6.0 from crates.io using debcargo 2.7.6
  * Add patch to fix build on 32-bit architectures.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 22 Jan 2025 08:15:31 +0000

rust-cntr (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * Package cntr 1.6.0 from crates.io using debcargo 2.7.6
  * Drop nix related patches, upstream now wants the version of nix
    that Debian has.
  * Update disable-examples.patch for new upstream.
  * Relax dependency on dashmap.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 21 Jan 2025 18:46:33 +0000

rust-cntr (1.5.3-3) unstable; urgency=medium

  * Team upload.
  * Package cntr 1.5.3 from crates.io using debcargo 2.7.0
  * Add patch for nix 0.29

 -- Peter Michael Green <plugwash@debian.org>  Sun, 03 Nov 2024 19:11:08 +0000

=== debian/control ===
Source: rust-cntr
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+help-dev,
 librust-clap-4+std-dev,
 librust-cntr-fuse-0.4-dev (>= 0.4.2-~~),
 librust-container-pid-0.2+default-dev,
 librust-dashmap+default-dev (>= 5.5-~~),
 librust-libc-0.2+default-dev (>= 0.2.169-~~),
 librust-log-0.4+default-dev (>= 0.4.22-~~),
 librust-nix-0.29+default-dev,
 librust-nix-0.29+fs-dev,
 librust-nix-0.29+mount-dev,
 librust-nix-0.29+poll-dev,
 librust-nix-0.29+process-dev,
 librust-nix-0.29+sched-dev,
 librust-nix-0.29+signal-dev,
 librust-nix-0.29+socket-dev,
 librust-nix-0.29+term-dev,
 librust-nix-0.29+user-dev,
 librust-parking-lot-0.12+default-dev (>= 0.12.3-~~),
 librust-simple-error-0.3+default-dev (>= 0.3.1-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Blair Noctis <n@sail.ng>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cntr]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cntr
Homepage: https://github.com/Mic92/cntr
X-Cargo-Crate: cntr
Rules-Requires-Root: no

Package: librust-cntr-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-clap-4+cargo-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+help-dev,
 librust-clap-4+std-dev,
 librust-cntr-fuse-0.4-dev (>= 0.4.2-~~),
 librust-container-pid-0.2+default-dev,
 librust-dashmap+default-dev (>= 5.5-~~),
 librust-libc-0.2+default-dev (>= 0.2.169-~~),
 librust-log-0.4+default-dev (>= 0.4.22-~~),
 librust-nix-0.29+default-dev,
 librust-nix-0.29+fs-dev,
 librust-nix-0.29+mount-dev,
 librust-nix-0.29+poll-dev,
 librust-nix-0.29+process-dev,
 librust-nix-0.29+sched-dev,
 librust-nix-0.29+signal-dev,
 librust-nix-0.29+socket-dev,
 librust-nix-0.29+term-dev,
 librust-nix-0.29+user-dev,
 librust-parking-lot-0.12+default-dev (>= 0.12.3-~~),
 librust-simple-error-0.3+default-dev (>= 0.3.1-~~)
Provides:
 librust-cntr+default-dev (= ${binary:Version}),
 librust-cntr-1-dev (= ${binary:Version}),
 librust-cntr-1+default-dev (= ${binary:Version}),
 librust-cntr-1.6-dev (= ${binary:Version}),
 librust-cntr-1.6+default-dev (= ${binary:Version}),
 librust-cntr-1.6.0-dev (= ${binary:Version}),
 librust-cntr-1.6.0+default-dev (= ${binary:Version})
Description: Container debugging tool based on FUSE - Rust source code
 Source code for Debianized Rust crate "cntr"

Package: cntr
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: a container debugging tool based on FUSE mount
 cntr mounts the file system from one container or the host into the target
 container, by creating a nested container with the help of a FUSE filesystem.
 This allows to ship minimal runtime image in production and limit the surface
 for exploits.
 .
 Natively supported: docker, podman, LXC, LXD, rkt, systemd-nspawn, containerd;
 For other container engines, cntr also takes PIDs.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cntr 1.6.0 --all-targets --all-features
Features: test-name=rust-cntr:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cntr 1.6.0 --all-targets
Features: test-name=librust-cntr-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cntr 1.6.0 --all-targets --no-default-features
Features: test-name=librust-cntr-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/cntr-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/cntr .*/crates/cntr/@ANY_VERSION@/download

## rust-cntr 1.6.1

=== debian/changelog ===
rust-cntr (1.6.1-2) unstable; urgency=medium

  * Team upload
  * Package cntr 1.6.1 from crates.io using debcargo 2.7.11
  * Rebuild to smooth rust-nix 0.30 transition

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 18 Oct 2025 06:49:29 -0400

rust-cntr (1.6.1-1) unstable; urgency=medium

  * Team upload.
  * Package cntr 1.6.1 from crates.io using debcargo 2.7.8
  * Drop fix-build-32-bit.patch, merged upstream.
  * Add patch for nix 0.30

 -- Peter Michael Green <plugwash@debian.org>  Tue, 14 Oct 2025 12:49:25 +0000

=== debian/control ===
Source: rust-cntr
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+help-dev,
 librust-clap-4+std-dev,
 librust-cntr-fuse-0.4-dev (>= 0.4.2-~~),
 librust-container-pid-0.2+default-dev,
 librust-dashmap+default-dev (>= 5.5-~~),
 librust-libc-0.2+default-dev (>= 0.2.169-~~),
 librust-log-0.4+default-dev (>= 0.4.25-~~),
 librust-nix-0.30+default-dev,
 librust-nix-0.30+fs-dev,
 librust-nix-0.30+mount-dev,
 librust-nix-0.30+poll-dev,
 librust-nix-0.30+process-dev,
 librust-nix-0.30+sched-dev,
 librust-nix-0.30+signal-dev,
 librust-nix-0.30+socket-dev,
 librust-nix-0.30+term-dev,
 librust-nix-0.30+user-dev,
 librust-parking-lot-0.12+default-dev (>= 0.12.3-~~),
 librust-simple-error-0.3+default-dev (>= 0.3.1-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Blair Noctis <ncts@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cntr]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cntr
Homepage: https://github.com/Mic92/cntr
X-Cargo-Crate: cntr

Package: librust-cntr-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-clap-4+cargo-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+help-dev,
 librust-clap-4+std-dev,
 librust-cntr-fuse-0.4-dev (>= 0.4.2-~~),
 librust-container-pid-0.2+default-dev,
 librust-dashmap+default-dev (>= 5.5-~~),
 librust-libc-0.2+default-dev (>= 0.2.169-~~),
 librust-log-0.4+default-dev (>= 0.4.25-~~),
 librust-nix-0.30+default-dev,
 librust-nix-0.30+fs-dev,
 librust-nix-0.30+mount-dev,
 librust-nix-0.30+poll-dev,
 librust-nix-0.30+process-dev,
 librust-nix-0.30+sched-dev,
 librust-nix-0.30+signal-dev,
 librust-nix-0.30+socket-dev,
 librust-nix-0.30+term-dev,
 librust-nix-0.30+user-dev,
 librust-parking-lot-0.12+default-dev (>= 0.12.3-~~),
 librust-simple-error-0.3+default-dev (>= 0.3.1-~~)
Provides:
 librust-cntr+default-dev (= ${binary:Version}),
 librust-cntr-1-dev (= ${binary:Version}),
 librust-cntr-1+default-dev (= ${binary:Version}),
 librust-cntr-1.6-dev (= ${binary:Version}),
 librust-cntr-1.6+default-dev (= ${binary:Version}),
 librust-cntr-1.6.1-dev (= ${binary:Version}),
 librust-cntr-1.6.1+default-dev (= ${binary:Version})
Description: Container debugging tool based on FUSE - Rust source code
 Source code for Debianized Rust crate "cntr"

Package: cntr
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: a container debugging tool based on FUSE mount
 cntr mounts the file system from one container or the host into the target
 container, by creating a nested container with the help of a FUSE filesystem.
 This allows to ship minimal runtime image in production and limit the surface
 for exploits.
 .
 Natively supported: docker, podman, LXC, LXD, rkt, systemd-nspawn, containerd;
 For other container engines, cntr also takes PIDs.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cntr 1.6.1 --all-targets --all-features
Features: test-name=rust-cntr:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cntr 1.6.1 --all-targets
Features: test-name=librust-cntr-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cntr 1.6.1 --all-targets --no-default-features
Features: test-name=librust-cntr-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/cntr
Matching-Pattern:  .*/crates/cntr/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/cntr-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
